! Programa que imprime os divisores de um numero lido
program imprime_divisores
   implicit none
   integer numero, div

   write(*, *) "Programa que imprime os divisores de um numero lido"
   write(*, *)
   write(*, *) "Digite um numero inteiro:"
   read(*, *) numero

   write(*, *) "Os divisores do numero lido sao:"
   do div = 1, numero, 1
     if (mod(numero, div) == 0) then
       write(*, *) div
     end if
   end do

   stop 
end program imprime_divisores